Bug 904791 - Pgpass file is not handled correctly on cleanup operation
Pgpass file is not handled correctly on cleanup operation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Alex Lourie
Ilanit Stein
integration
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-27 10:06 EST by Alex Lourie
Modified: 2013-06-11 04:43 EDT (History)
9 users (show)

See Also:
Fixed In Version: sf-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Lourie 2013-01-27 10:06:46 EST
Description of problem:

engine-cleanup would clean the /etc/ovirt-engine/.pgpass and leave it empty. This will cause the repeated engine-cleanup run to request user password.

Patch upstream: http://gerrit.ovirt.org/#/c/11113/
Comment 2 Ilanit Stein 2013-03-21 09:03:35 EDT
Verified on sf-10:

[root@istein-32 ~]# engine-cleanup
WARNING: Executing oVirt Engine cleanup utility.
This utility will wipe all existing data including configuration settings, certificates and database.
In addition, all existing DB connections will be closed.
Would you like to proceed? (yes|no): yes

Stopping ovirt-engine service...                        [ DONE ]
Removing Database...                                    [ DONE ]
Removing CA...                                          [ DONE ]
Stopping engine-notifierd service...                    [ DONE ]

Cleanup finished successfully!
Cleanup log available at /var/log/ovirt-engine/engine-cleanup_2013_03_21_15_01_11.log
DB Backup available at /var/lib/ovirt-engine/backups/tmp2AjuAV.sql
[root@istein-32 ~]# engine-cleanup

Error: DB password file was not found on this system. Verify that this system was previously installed and that there's a password file at /etc/ovirt-engine/.pgpass or /root/.pgpass
Error: Cleanup failed.
please check log at /var/log/ovirt-engine/engine-cleanup_2013_03_21_15_01_27.log
Comment 3 Itamar Heim 2013-06-11 04:34:42 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:34:43 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:34:48 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:43:40 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.